Create AI Config variation

Create a new variation for a given AI Config. The <code>model</code> in the request body requires a <code>modelName</code> and <code>parameters</code>, for example: ``` "model": { "modelName": "claude-3-opus-20240229", "parameters": { "max_tokens": 1024 } } ```

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequired
configKeystringRequired

Request

AI Config variation object to create
keystringRequired
namestringRequired
commentstringOptional

Human-readable description of this variation

descriptionstringOptional
Returns the description for the agent. This is only returned for agent variations.
instructionsstringOptional
Returns the instructions for the agent. This is only returned for agent variations.
messageslist of objectsOptional
modelobjectOptional
modelConfigKeystringOptional
modelConfigVersionintegerOptional>=1

The exact model config version to set this variation to. Requires modelConfigKey to be set, and the version must exist for that model config. When omitted, the variation records the model config’s current (latest) version.

outputFormatmap from strings to anyOptional
JSON Schema defining the structured output format for the variation.
toolslist of objectsOptional
List of tools to use for this variation. The latest version of the tool will be used.
toolKeyslist of stringsOptional
List of tool keys to use for this variation. The latest version of the tool will be used.
skillslist of objectsOptional
List of agent skills to attach to this variation.
judgeConfigurationobjectOptional

Response

AI Config variation created
keystring
_idstring
modelobject
namestring
createdAtlong
versioninteger
colorstringOptional
commentstringOptional
descriptionstringOptional
Returns the description for the agent. This is only returned for agent variations.
instructionsstringOptional
Returns the instructions for the agent. This is only returned for agent variations.
messageslist of objectsOptional
modelConfigKeystringOptional
modelConfigVersionintegerOptional
The version of the model config that this variation is pinned to, when it references a custom model config. Absent when the variation does not reference a model config, when the variation is not pinned to a specific version, or when custom model config versioning is not enabled for the project.
outputFormatmap from strings to anyOptional
JSON Schema defining the structured output format for the variation.
statestringOptional
_archivedAtlongOptional
_publishedAtlongOptional
toolslist of objectsOptional
skillslist of objectsOptional
judgeConfigurationobjectOptional
judgingConfigKeyslist of stringsOptional

Errors

400
Bad Request Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error